' STEP-2.BAS
' This program demonstrates the use of the STEP keyword in
'   the LINE statement.

CLS

INPUT "Please enter a screen mode (0-13):  ", modeNum%
SCREEN modeNum%

blank$ = SPACE$(39)

PRINT "Enter 0 and 0 to quit"
PSET (150, 50)                ' establish a starting point

DO
    LOCATE 22, 1
    INPUT "Horizontal movement (+ or -): ", horiz%
    INPUT "  Vertical movement (+ or -): ", vert%
    LINE -STEP(horiz%, vert%)
    LOCATE 22, 1
    PRINT blank$
    PRINT blank$
LOOP UNTIL horiz% = 0 AND vert% = 0


